# Description ## Retrieve **get** `/models/{modelId}/description` Get the description of the given `modelId` ### Path Parameters - `modelId: string` ### Query Parameters - `originalAssets: optional boolean` If set to true, returns the original asset without transformation ### Returns - `description: object { assets, models, value }` - `assets: array of object { id, authorId, kind, 9 more }` The list of assets referenced by the Markdown `{asset}` tag in the description. - `id: string` The asset ID (example: "asset_GTrL3mq4SXWyMxkOHRxlpw") - `authorId: string` The author user ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `kind: "3d" or "audio" or "document" or 4 more` The kind of asset - `"3d"` - `"audio"` - `"document"` - `"image"` - `"image-hdr"` - `"json"` - `"video"` - `mimeType: string` The mime type of the asset (example: "image/png") - `ownerId: string` The owner (project) ID (example: "proj_23tlk332lkht3kl2" or "team_dlkhgs23tlk3hlkth32lkht3kl2" for old teams) - `privacy: "private" or "public" or "unlisted"` The privacy of the asset - `"private"` - `"public"` - `"unlisted"` - `properties: object { size, animationFrameCount, bitrate, 20 more }` The properties of the asset, content may depend on the kind of asset returned - `size: number` - `animationFrameCount: optional number` Number of animation frames if animations exist - `bitrate: optional number` Bitrate of the media in bits per second - `boneCount: optional number` Number of bones if skeleton exists - `channels: optional number` Number of channels of the audio - `classification: optional "effect" or "interview" or "music" or 5 more` Classification of the audio - `"effect"` - `"interview"` - `"music"` - `"other"` - `"sound"` - `"speech"` - `"text"` - `"unknown"` - `codecName: optional string` Codec name of the media - `description: optional string` Description of the audio - `dimensions: optional array of number` Bounding box dimensions [width, height, depth] - `duration: optional number` Duration of the media in seconds - `faceCount: optional number` Number of faces/triangles in the mesh - `format: optional string` Format of the mesh file (e.g. 'glb', etc.) - `frameRate: optional number` Frame rate of the video in frames per second - `hasAnimations: optional boolean` Whether the mesh has animations - `hasNormals: optional boolean` Whether the mesh has normal vectors - `hasSkeleton: optional boolean` Whether the mesh has bones/skeleton - `hasUVs: optional boolean` Whether the mesh has UV coordinates - `height: optional number` - `nbFrames: optional number` Number of frames in the video - `sampleRate: optional number` Sample rate of the media in Hz - `transcription: optional object { text }` Transcription of the audio - `text: string` - `vertexCount: optional number` Number of vertices in the mesh - `width: optional number` - `source: "3d23d" or "3d23d:texture" or "3d:texture" or 72 more` source of the asset - `"3d23d"` - `"3d23d:texture"` - `"3d:texture"` - `"3d:texture:albedo"` - `"3d:texture:metallic"` - `"3d:texture:mtl"` - `"3d:texture:normal"` - `"3d:texture:roughness"` - `"audio2audio"` - `"audio2video"` - `"background-removal"` - `"canvas"` - `"canvas-drawing"` - `"canvas-export"` - `"detection"` - `"generative-fill"` - `"image-prompt-editing"` - `"img23d"` - `"img2img"` - `"img2video"` - `"inference-control-net"` - `"inference-control-net-img"` - `"inference-control-net-inpainting"` - `"inference-control-net-inpainting-ip-adapter"` - `"inference-control-net-ip-adapter"` - `"inference-control-net-reference"` - `"inference-control-net-texture"` - `"inference-img"` - `"inference-img-ip-adapter"` - `"inference-img-texture"` - `"inference-in-paint"` - `"inference-in-paint-ip-adapter"` - `"inference-reference"` - `"inference-reference-texture"` - `"inference-txt"` - `"inference-txt-ip-adapter"` - `"inference-txt-texture"` - `"patch"` - `"pixelization"` - `"reframe"` - `"restyle"` - `"segment"` - `"segmentation-image"` - `"segmentation-mask"` - `"skybox-3d"` - `"skybox-base-360"` - `"skybox-hdri"` - `"texture"` - `"texture:albedo"` - `"texture:ao"` - `"texture:edge"` - `"texture:height"` - `"texture:metallic"` - `"texture:normal"` - `"texture:smoothness"` - `"txt23d"` - `"txt2audio"` - `"txt2img"` - `"txt2video"` - `"unknown"` - `"uploaded"` - `"uploaded-3d"` - `"uploaded-audio"` - `"uploaded-avatar"` - `"uploaded-video"` - `"upscale"` - `"upscale-skybox"` - `"upscale-texture"` - `"upscale-video"` - `"vectorization"` - `"video23d"` - `"video2audio"` - `"video2img"` - `"video2video"` - `"voice-clone"` - `url: string` Signed URL to get the asset content - `originalFileUrl: optional string` The original file url. Contains the url of the original file. without any conversion. Only available for some specific video, audio and threeD assets. Is only specified if the given asset data has been replaced with a new file during the creation of the asset. - `preview: optional object { assetId, url }` The asset's preview. Contains the assetId and the url of the preview. - `assetId: string` - `url: string` - `thumbnail: optional object { assetId, url }` The asset's thumbnail. Contains the assetId and the url of the thumbnail. - `assetId: string` - `url: string` - `models: array of object { id, privacy, type, 4 more }` The list of models referenced by the Markdown `{model}` tag in the description. - `id: string` The model ID (example: "model_eyVcnFJcR92BxBkz7N6g5w") - `privacy: "private" or "public" or "unlisted"` The privacy of the model (default: private) - `"private"` - `"public"` - `"unlisted"` - `type: "custom" or "elevenlabs-voice" or "flux.1" or 34 more` The model type (example: "flux.1-lora") - `"custom"` - `"elevenlabs-voice"` - `"flux.1"` - `"flux.1-composition"` - `"flux.1-kontext-dev"` - `"flux.1-kontext-lora"` - `"flux.1-krea-dev"` - `"flux.1-krea-lora"` - `"flux.1-lora"` - `"flux.1-pro"` - `"flux.1.1-pro-ultra"` - `"flux.2-dev-edit-lora"` - `"flux.2-dev-lora"` - `"flux.2-klein-4b-edit-lora"` - `"flux.2-klein-4b-lora"` - `"flux.2-klein-9b-edit-lora"` - `"flux.2-klein-9b-lora"` - `"flux.2-klein-base-4b-edit-lora"` - `"flux.2-klein-base-4b-lora"` - `"flux.2-klein-base-9b-edit-lora"` - `"flux.2-klein-base-9b-lora"` - `"flux1.1-pro"` - `"gpt-image-1"` - `"qwen-image-2512-lora"` - `"qwen-image-edit-2509-lora"` - `"qwen-image-edit-2511-lora"` - `"qwen-image-edit-lora"` - `"qwen-image-lora"` - `"sd-1_5"` - `"sd-1_5-composition"` - `"sd-1_5-lora"` - `"sd-xl"` - `"sd-xl-composition"` - `"sd-xl-lora"` - `"zimage-de-turbo-lora"` - `"zimage-lora"` - `"zimage-turbo-lora"` - `authorId: optional string` The author user ID (example: "user_VFhihHKMRZyDDnZAJwLb2Q") - `name: optional string` The model name (example: "Cinematic Realism") - `ownerId: optional string` The owner ID (example: "team_VFhihHKMRZyDDnZAJwLb2Q") - `shortDescription: optional string` The model short description (example: "This model generates highly detailed cinematic scenes.") - `value: string` The markdown description of the model (ex: `# My model`). We allow the `{asset:}` and `{model:}` tags. ### Example ```http curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/description \ -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" ``` #### Response ```json { "description": { "assets": [ { "id": "id", "authorId": "authorId", "kind": "3d", "mimeType": "mimeType", "ownerId": "ownerId", "privacy": "private", "properties": { "size": 0, "animationFrameCount": 0, "bitrate": 0, "boneCount": 0, "channels": 0, "classification": "effect", "codecName": "codecName", "description": "description", "dimensions": [ 0, 0, 0 ], "duration": 0, "faceCount": 0, "format": "format", "frameRate": 0, "hasAnimations": true, "hasNormals": true, "hasSkeleton": true, "hasUVs": true, "height": 0, "nbFrames": 0, "sampleRate": 0, "transcription": { "text": "text" }, "vertexCount": 0, "width": 0 }, "source": "3d23d", "url": "url", "originalFileUrl": "originalFileUrl", "preview": { "assetId": "assetId", "url": "url" }, "thumbnail": { "assetId": "assetId", "url": "url" } } ], "models": [ { "id": "id", "privacy": "private", "type": "custom", "authorId": "authorId", "name": "name", "ownerId": "ownerId", "shortDescription": "shortDescription" } ], "value": "value" } } ``` ## Update **put** `/models/{modelId}/description` Update the markdown description of the given `modelId` ### Path Parameters - `modelId: string` ### Query Parameters - `originalAssets: optional boolean` If set to true, returns the original asset without transformation ### Body Parameters - `description: string` The markdown description of the model (ex: `# My model`). Set to `null` to delete the description. ### Returns - `description: object { assets, models, value }` - `assets: array of object { id, authorId, kind, 9 more }` The list of assets referenced by the Markdown `{asset}` tag in the description. - `id: string` The asset ID (example: "asset_GTrL3mq4SXWyMxkOHRxlpw") - `authorId: string` The author user ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `kind: "3d" or "audio" or "document" or 4 more` The kind of asset - `"3d"` - `"audio"` - `"document"` - `"image"` - `"image-hdr"` - `"json"` - `"video"` - `mimeType: string` The mime type of the asset (example: "image/png") - `ownerId: string` The owner (project) ID (example: "proj_23tlk332lkht3kl2" or "team_dlkhgs23tlk3hlkth32lkht3kl2" for old teams) - `privacy: "private" or "public" or "unlisted"` The privacy of the asset - `"private"` - `"public"` - `"unlisted"` - `properties: object { size, animationFrameCount, bitrate, 20 more }` The properties of the asset, content may depend on the kind of asset returned - `size: number` - `animationFrameCount: optional number` Number of animation frames if animations exist - `bitrate: optional number` Bitrate of the media in bits per second - `boneCount: optional number` Number of bones if skeleton exists - `channels: optional number` Number of channels of the audio - `classification: optional "effect" or "interview" or "music" or 5 more` Classification of the audio - `"effect"` - `"interview"` - `"music"` - `"other"` - `"sound"` - `"speech"` - `"text"` - `"unknown"` - `codecName: optional string` Codec name of the media - `description: optional string` Description of the audio - `dimensions: optional array of number` Bounding box dimensions [width, height, depth] - `duration: optional number` Duration of the media in seconds - `faceCount: optional number` Number of faces/triangles in the mesh - `format: optional string` Format of the mesh file (e.g. 'glb', etc.) - `frameRate: optional number` Frame rate of the video in frames per second - `hasAnimations: optional boolean` Whether the mesh has animations - `hasNormals: optional boolean` Whether the mesh has normal vectors - `hasSkeleton: optional boolean` Whether the mesh has bones/skeleton - `hasUVs: optional boolean` Whether the mesh has UV coordinates - `height: optional number` - `nbFrames: optional number` Number of frames in the video - `sampleRate: optional number` Sample rate of the media in Hz - `transcription: optional object { text }` Transcription of the audio - `text: string` - `vertexCount: optional number` Number of vertices in the mesh - `width: optional number` - `source: "3d23d" or "3d23d:texture" or "3d:texture" or 72 more` source of the asset - `"3d23d"` - `"3d23d:texture"` - `"3d:texture"` - `"3d:texture:albedo"` - `"3d:texture:metallic"` - `"3d:texture:mtl"` - `"3d:texture:normal"` - `"3d:texture:roughness"` - `"audio2audio"` - `"audio2video"` - `"background-removal"` - `"canvas"` - `"canvas-drawing"` - `"canvas-export"` - `"detection"` - `"generative-fill"` - `"image-prompt-editing"` - `"img23d"` - `"img2img"` - `"img2video"` - `"inference-control-net"` - `"inference-control-net-img"` - `"inference-control-net-inpainting"` - `"inference-control-net-inpainting-ip-adapter"` - `"inference-control-net-ip-adapter"` - `"inference-control-net-reference"` - `"inference-control-net-texture"` - `"inference-img"` - `"inference-img-ip-adapter"` - `"inference-img-texture"` - `"inference-in-paint"` - `"inference-in-paint-ip-adapter"` - `"inference-reference"` - `"inference-reference-texture"` - `"inference-txt"` - `"inference-txt-ip-adapter"` - `"inference-txt-texture"` - `"patch"` - `"pixelization"` - `"reframe"` - `"restyle"` - `"segment"` - `"segmentation-image"` - `"segmentation-mask"` - `"skybox-3d"` - `"skybox-base-360"` - `"skybox-hdri"` - `"texture"` - `"texture:albedo"` - `"texture:ao"` - `"texture:edge"` - `"texture:height"` - `"texture:metallic"` - `"texture:normal"` - `"texture:smoothness"` - `"txt23d"` - `"txt2audio"` - `"txt2img"` - `"txt2video"` - `"unknown"` - `"uploaded"` - `"uploaded-3d"` - `"uploaded-audio"` - `"uploaded-avatar"` - `"uploaded-video"` - `"upscale"` - `"upscale-skybox"` - `"upscale-texture"` - `"upscale-video"` - `"vectorization"` - `"video23d"` - `"video2audio"` - `"video2img"` - `"video2video"` - `"voice-clone"` - `url: string` Signed URL to get the asset content - `originalFileUrl: optional string` The original file url. Contains the url of the original file. without any conversion. Only available for some specific video, audio and threeD assets. Is only specified if the given asset data has been replaced with a new file during the creation of the asset. - `preview: optional object { assetId, url }` The asset's preview. Contains the assetId and the url of the preview. - `assetId: string` - `url: string` - `thumbnail: optional object { assetId, url }` The asset's thumbnail. Contains the assetId and the url of the thumbnail. - `assetId: string` - `url: string` - `models: array of object { id, privacy, type, 4 more }` The list of models referenced by the Markdown `{model}` tag in the description. - `id: string` The model ID (example: "model_eyVcnFJcR92BxBkz7N6g5w") - `privacy: "private" or "public" or "unlisted"` The privacy of the model (default: private) - `"private"` - `"public"` - `"unlisted"` - `type: "custom" or "elevenlabs-voice" or "flux.1" or 34 more` The model type (example: "flux.1-lora") - `"custom"` - `"elevenlabs-voice"` - `"flux.1"` - `"flux.1-composition"` - `"flux.1-kontext-dev"` - `"flux.1-kontext-lora"` - `"flux.1-krea-dev"` - `"flux.1-krea-lora"` - `"flux.1-lora"` - `"flux.1-pro"` - `"flux.1.1-pro-ultra"` - `"flux.2-dev-edit-lora"` - `"flux.2-dev-lora"` - `"flux.2-klein-4b-edit-lora"` - `"flux.2-klein-4b-lora"` - `"flux.2-klein-9b-edit-lora"` - `"flux.2-klein-9b-lora"` - `"flux.2-klein-base-4b-edit-lora"` - `"flux.2-klein-base-4b-lora"` - `"flux.2-klein-base-9b-edit-lora"` - `"flux.2-klein-base-9b-lora"` - `"flux1.1-pro"` - `"gpt-image-1"` - `"qwen-image-2512-lora"` - `"qwen-image-edit-2509-lora"` - `"qwen-image-edit-2511-lora"` - `"qwen-image-edit-lora"` - `"qwen-image-lora"` - `"sd-1_5"` - `"sd-1_5-composition"` - `"sd-1_5-lora"` - `"sd-xl"` - `"sd-xl-composition"` - `"sd-xl-lora"` - `"zimage-de-turbo-lora"` - `"zimage-lora"` - `"zimage-turbo-lora"` - `authorId: optional string` The author user ID (example: "user_VFhihHKMRZyDDnZAJwLb2Q") - `name: optional string` The model name (example: "Cinematic Realism") - `ownerId: optional string` The owner ID (example: "team_VFhihHKMRZyDDnZAJwLb2Q") - `shortDescription: optional string` The model short description (example: "This model generates highly detailed cinematic scenes.") - `value: string` The markdown description of the model (ex: `# My model`). We allow the `{asset:}` and `{model:}` tags. ### Example ```http curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/description \ -X PUT \ -H 'Content-Type: application/json' \ -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \ -d '{ "description": "description" }' ``` #### Response ```json { "description": { "assets": [ { "id": "id", "authorId": "authorId", "kind": "3d", "mimeType": "mimeType", "ownerId": "ownerId", "privacy": "private", "properties": { "size": 0, "animationFrameCount": 0, "bitrate": 0, "boneCount": 0, "channels": 0, "classification": "effect", "codecName": "codecName", "description": "description", "dimensions": [ 0, 0, 0 ], "duration": 0, "faceCount": 0, "format": "format", "frameRate": 0, "hasAnimations": true, "hasNormals": true, "hasSkeleton": true, "hasUVs": true, "height": 0, "nbFrames": 0, "sampleRate": 0, "transcription": { "text": "text" }, "vertexCount": 0, "width": 0 }, "source": "3d23d", "url": "url", "originalFileUrl": "originalFileUrl", "preview": { "assetId": "assetId", "url": "url" }, "thumbnail": { "assetId": "assetId", "url": "url" } } ], "models": [ { "id": "id", "privacy": "private", "type": "custom", "authorId": "authorId", "name": "name", "ownerId": "ownerId", "shortDescription": "shortDescription" } ], "value": "value" } } ``` ## Domain Types ### Description Retrieve Response - `DescriptionRetrieveResponse object { description }` - `description: object { assets, models, value }` - `assets: array of object { id, authorId, kind, 9 more }` The list of assets referenced by the Markdown `{asset}` tag in the description. - `id: string` The asset ID (example: "asset_GTrL3mq4SXWyMxkOHRxlpw") - `authorId: string` The author user ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `kind: "3d" or "audio" or "document" or 4 more` The kind of asset - `"3d"` - `"audio"` - `"document"` - `"image"` - `"image-hdr"` - `"json"` - `"video"` - `mimeType: string` The mime type of the asset (example: "image/png") - `ownerId: string` The owner (project) ID (example: "proj_23tlk332lkht3kl2" or "team_dlkhgs23tlk3hlkth32lkht3kl2" for old teams) - `privacy: "private" or "public" or "unlisted"` The privacy of the asset - `"private"` - `"public"` - `"unlisted"` - `properties: object { size, animationFrameCount, bitrate, 20 more }` The properties of the asset, content may depend on the kind of asset returned - `size: number` - `animationFrameCount: optional number` Number of animation frames if animations exist - `bitrate: optional number` Bitrate of the media in bits per second - `boneCount: optional number` Number of bones if skeleton exists - `channels: optional number` Number of channels of the audio - `classification: optional "effect" or "interview" or "music" or 5 more` Classification of the audio - `"effect"` - `"interview"` - `"music"` - `"other"` - `"sound"` - `"speech"` - `"text"` - `"unknown"` - `codecName: optional string` Codec name of the media - `description: optional string` Description of the audio - `dimensions: optional array of number` Bounding box dimensions [width, height, depth] - `duration: optional number` Duration of the media in seconds - `faceCount: optional number` Number of faces/triangles in the mesh - `format: optional string` Format of the mesh file (e.g. 'glb', etc.) - `frameRate: optional number` Frame rate of the video in frames per second - `hasAnimations: optional boolean` Whether the mesh has animations - `hasNormals: optional boolean` Whether the mesh has normal vectors - `hasSkeleton: optional boolean` Whether the mesh has bones/skeleton - `hasUVs: optional boolean` Whether the mesh has UV coordinates - `height: optional number` - `nbFrames: optional number` Number of frames in the video - `sampleRate: optional number` Sample rate of the media in Hz - `transcription: optional object { text }` Transcription of the audio - `text: string` - `vertexCount: optional number` Number of vertices in the mesh - `width: optional number` - `source: "3d23d" or "3d23d:texture" or "3d:texture" or 72 more` source of the asset - `"3d23d"` - `"3d23d:texture"` - `"3d:texture"` - `"3d:texture:albedo"` - `"3d:texture:metallic"` - `"3d:texture:mtl"` - `"3d:texture:normal"` - `"3d:texture:roughness"` - `"audio2audio"` - `"audio2video"` - `"background-removal"` - `"canvas"` - `"canvas-drawing"` - `"canvas-export"` - `"detection"` - `"generative-fill"` - `"image-prompt-editing"` - `"img23d"` - `"img2img"` - `"img2video"` - `"inference-control-net"` - `"inference-control-net-img"` - `"inference-control-net-inpainting"` - `"inference-control-net-inpainting-ip-adapter"` - `"inference-control-net-ip-adapter"` - `"inference-control-net-reference"` - `"inference-control-net-texture"` - `"inference-img"` - `"inference-img-ip-adapter"` - `"inference-img-texture"` - `"inference-in-paint"` - `"inference-in-paint-ip-adapter"` - `"inference-reference"` - `"inference-reference-texture"` - `"inference-txt"` - `"inference-txt-ip-adapter"` - `"inference-txt-texture"` - `"patch"` - `"pixelization"` - `"reframe"` - `"restyle"` - `"segment"` - `"segmentation-image"` - `"segmentation-mask"` - `"skybox-3d"` - `"skybox-base-360"` - `"skybox-hdri"` - `"texture"` - `"texture:albedo"` - `"texture:ao"` - `"texture:edge"` - `"texture:height"` - `"texture:metallic"` - `"texture:normal"` - `"texture:smoothness"` - `"txt23d"` - `"txt2audio"` - `"txt2img"` - `"txt2video"` - `"unknown"` - `"uploaded"` - `"uploaded-3d"` - `"uploaded-audio"` - `"uploaded-avatar"` - `"uploaded-video"` - `"upscale"` - `"upscale-skybox"` - `"upscale-texture"` - `"upscale-video"` - `"vectorization"` - `"video23d"` - `"video2audio"` - `"video2img"` - `"video2video"` - `"voice-clone"` - `url: string` Signed URL to get the asset content - `originalFileUrl: optional string` The original file url. Contains the url of the original file. without any conversion. Only available for some specific video, audio and threeD assets. Is only specified if the given asset data has been replaced with a new file during the creation of the asset. - `preview: optional object { assetId, url }` The asset's preview. Contains the assetId and the url of the preview. - `assetId: string` - `url: string` - `thumbnail: optional object { assetId, url }` The asset's thumbnail. Contains the assetId and the url of the thumbnail. - `assetId: string` - `url: string` - `models: array of object { id, privacy, type, 4 more }` The list of models referenced by the Markdown `{model}` tag in the description. - `id: string` The model ID (example: "model_eyVcnFJcR92BxBkz7N6g5w") - `privacy: "private" or "public" or "unlisted"` The privacy of the model (default: private) - `"private"` - `"public"` - `"unlisted"` - `type: "custom" or "elevenlabs-voice" or "flux.1" or 34 more` The model type (example: "flux.1-lora") - `"custom"` - `"elevenlabs-voice"` - `"flux.1"` - `"flux.1-composition"` - `"flux.1-kontext-dev"` - `"flux.1-kontext-lora"` - `"flux.1-krea-dev"` - `"flux.1-krea-lora"` - `"flux.1-lora"` - `"flux.1-pro"` - `"flux.1.1-pro-ultra"` - `"flux.2-dev-edit-lora"` - `"flux.2-dev-lora"` - `"flux.2-klein-4b-edit-lora"` - `"flux.2-klein-4b-lora"` - `"flux.2-klein-9b-edit-lora"` - `"flux.2-klein-9b-lora"` - `"flux.2-klein-base-4b-edit-lora"` - `"flux.2-klein-base-4b-lora"` - `"flux.2-klein-base-9b-edit-lora"` - `"flux.2-klein-base-9b-lora"` - `"flux1.1-pro"` - `"gpt-image-1"` - `"qwen-image-2512-lora"` - `"qwen-image-edit-2509-lora"` - `"qwen-image-edit-2511-lora"` - `"qwen-image-edit-lora"` - `"qwen-image-lora"` - `"sd-1_5"` - `"sd-1_5-composition"` - `"sd-1_5-lora"` - `"sd-xl"` - `"sd-xl-composition"` - `"sd-xl-lora"` - `"zimage-de-turbo-lora"` - `"zimage-lora"` - `"zimage-turbo-lora"` - `authorId: optional string` The author user ID (example: "user_VFhihHKMRZyDDnZAJwLb2Q") - `name: optional string` The model name (example: "Cinematic Realism") - `ownerId: optional string` The owner ID (example: "team_VFhihHKMRZyDDnZAJwLb2Q") - `shortDescription: optional string` The model short description (example: "This model generates highly detailed cinematic scenes.") - `value: string` The markdown description of the model (ex: `# My model`). We allow the `{asset:}` and `{model:}` tags. ### Description Update Response - `DescriptionUpdateResponse object { description }` - `description: object { assets, models, value }` - `assets: array of object { id, authorId, kind, 9 more }` The list of assets referenced by the Markdown `{asset}` tag in the description. - `id: string` The asset ID (example: "asset_GTrL3mq4SXWyMxkOHRxlpw") - `authorId: string` The author user ID (example: "dcf121faaa1a0a0bbbd9ca1b73d62aea") - `kind: "3d" or "audio" or "document" or 4 more` The kind of asset - `"3d"` - `"audio"` - `"document"` - `"image"` - `"image-hdr"` - `"json"` - `"video"` - `mimeType: string` The mime type of the asset (example: "image/png") - `ownerId: string` The owner (project) ID (example: "proj_23tlk332lkht3kl2" or "team_dlkhgs23tlk3hlkth32lkht3kl2" for old teams) - `privacy: "private" or "public" or "unlisted"` The privacy of the asset - `"private"` - `"public"` - `"unlisted"` - `properties: object { size, animationFrameCount, bitrate, 20 more }` The properties of the asset, content may depend on the kind of asset returned - `size: number` - `animationFrameCount: optional number` Number of animation frames if animations exist - `bitrate: optional number` Bitrate of the media in bits per second - `boneCount: optional number` Number of bones if skeleton exists - `channels: optional number` Number of channels of the audio - `classification: optional "effect" or "interview" or "music" or 5 more` Classification of the audio - `"effect"` - `"interview"` - `"music"` - `"other"` - `"sound"` - `"speech"` - `"text"` - `"unknown"` - `codecName: optional string` Codec name of the media - `description: optional string` Description of the audio - `dimensions: optional array of number` Bounding box dimensions [width, height, depth] - `duration: optional number` Duration of the media in seconds - `faceCount: optional number` Number of faces/triangles in the mesh - `format: optional string` Format of the mesh file (e.g. 'glb', etc.) - `frameRate: optional number` Frame rate of the video in frames per second - `hasAnimations: optional boolean` Whether the mesh has animations - `hasNormals: optional boolean` Whether the mesh has normal vectors - `hasSkeleton: optional boolean` Whether the mesh has bones/skeleton - `hasUVs: optional boolean` Whether the mesh has UV coordinates - `height: optional number` - `nbFrames: optional number` Number of frames in the video - `sampleRate: optional number` Sample rate of the media in Hz - `transcription: optional object { text }` Transcription of the audio - `text: string` - `vertexCount: optional number` Number of vertices in the mesh - `width: optional number` - `source: "3d23d" or "3d23d:texture" or "3d:texture" or 72 more` source of the asset - `"3d23d"` - `"3d23d:texture"` - `"3d:texture"` - `"3d:texture:albedo"` - `"3d:texture:metallic"` - `"3d:texture:mtl"` - `"3d:texture:normal"` - `"3d:texture:roughness"` - `"audio2audio"` - `"audio2video"` - `"background-removal"` - `"canvas"` - `"canvas-drawing"` - `"canvas-export"` - `"detection"` - `"generative-fill"` - `"image-prompt-editing"` - `"img23d"` - `"img2img"` - `"img2video"` - `"inference-control-net"` - `"inference-control-net-img"` - `"inference-control-net-inpainting"` - `"inference-control-net-inpainting-ip-adapter"` - `"inference-control-net-ip-adapter"` - `"inference-control-net-reference"` - `"inference-control-net-texture"` - `"inference-img"` - `"inference-img-ip-adapter"` - `"inference-img-texture"` - `"inference-in-paint"` - `"inference-in-paint-ip-adapter"` - `"inference-reference"` - `"inference-reference-texture"` - `"inference-txt"` - `"inference-txt-ip-adapter"` - `"inference-txt-texture"` - `"patch"` - `"pixelization"` - `"reframe"` - `"restyle"` - `"segment"` - `"segmentation-image"` - `"segmentation-mask"` - `"skybox-3d"` - `"skybox-base-360"` - `"skybox-hdri"` - `"texture"` - `"texture:albedo"` - `"texture:ao"` - `"texture:edge"` - `"texture:height"` - `"texture:metallic"` - `"texture:normal"` - `"texture:smoothness"` - `"txt23d"` - `"txt2audio"` - `"txt2img"` - `"txt2video"` - `"unknown"` - `"uploaded"` - `"uploaded-3d"` - `"uploaded-audio"` - `"uploaded-avatar"` - `"uploaded-video"` - `"upscale"` - `"upscale-skybox"` - `"upscale-texture"` - `"upscale-video"` - `"vectorization"` - `"video23d"` - `"video2audio"` - `"video2img"` - `"video2video"` - `"voice-clone"` - `url: string` Signed URL to get the asset content - `originalFileUrl: optional string` The original file url. Contains the url of the original file. without any conversion. Only available for some specific video, audio and threeD assets. Is only specified if the given asset data has been replaced with a new file during the creation of the asset. - `preview: optional object { assetId, url }` The asset's preview. Contains the assetId and the url of the preview. - `assetId: string` - `url: string` - `thumbnail: optional object { assetId, url }` The asset's thumbnail. Contains the assetId and the url of the thumbnail. - `assetId: string` - `url: string` - `models: array of object { id, privacy, type, 4 more }` The list of models referenced by the Markdown `{model}` tag in the description. - `id: string` The model ID (example: "model_eyVcnFJcR92BxBkz7N6g5w") - `privacy: "private" or "public" or "unlisted"` The privacy of the model (default: private) - `"private"` - `"public"` - `"unlisted"` - `type: "custom" or "elevenlabs-voice" or "flux.1" or 34 more` The model type (example: "flux.1-lora") - `"custom"` - `"elevenlabs-voice"` - `"flux.1"` - `"flux.1-composition"` - `"flux.1-kontext-dev"` - `"flux.1-kontext-lora"` - `"flux.1-krea-dev"` - `"flux.1-krea-lora"` - `"flux.1-lora"` - `"flux.1-pro"` - `"flux.1.1-pro-ultra"` - `"flux.2-dev-edit-lora"` - `"flux.2-dev-lora"` - `"flux.2-klein-4b-edit-lora"` - `"flux.2-klein-4b-lora"` - `"flux.2-klein-9b-edit-lora"` - `"flux.2-klein-9b-lora"` - `"flux.2-klein-base-4b-edit-lora"` - `"flux.2-klein-base-4b-lora"` - `"flux.2-klein-base-9b-edit-lora"` - `"flux.2-klein-base-9b-lora"` - `"flux1.1-pro"` - `"gpt-image-1"` - `"qwen-image-2512-lora"` - `"qwen-image-edit-2509-lora"` - `"qwen-image-edit-2511-lora"` - `"qwen-image-edit-lora"` - `"qwen-image-lora"` - `"sd-1_5"` - `"sd-1_5-composition"` - `"sd-1_5-lora"` - `"sd-xl"` - `"sd-xl-composition"` - `"sd-xl-lora"` - `"zimage-de-turbo-lora"` - `"zimage-lora"` - `"zimage-turbo-lora"` - `authorId: optional string` The author user ID (example: "user_VFhihHKMRZyDDnZAJwLb2Q") - `name: optional string` The model name (example: "Cinematic Realism") - `ownerId: optional string` The owner ID (example: "team_VFhihHKMRZyDDnZAJwLb2Q") - `shortDescription: optional string` The model short description (example: "This model generates highly detailed cinematic scenes.") - `value: string` The markdown description of the model (ex: `# My model`). We allow the `{asset:}` and `{model:}` tags.